/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qscene2d_p.h>)
#  include <private/qscene2d_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_QtQuick_Scene2D()
{
    qmlRegisterModule("QtQuick.Scene2D", 2, 0);
    qmlRegisterModule("QtQuick.Scene2D", 2, 254);
    qmlRegisterModule("QtQuick.Scene2D", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Qt3DRender::Quick::QScene2dForeign>("QtQuick.Scene2D", 6);
    QMetaType::fromType<Qt3DRender::Quick::QScene2dForeign *>().id();
    qmlRegisterEnum<Qt3DRender::Quick::QScene2D::RenderPolicy>("Qt3DRender::Quick::QScene2D::RenderPolicy");
    QMetaType::fromType<Qt3DRender::Render::Quick::QQuick3DScene2D *>().id();
    QT_WARNING_POP
    qmlRegisterModule("QtQuick.Scene2D", 6, 12);
}

static const QQmlModuleRegistration qtQuickScene2DRegistration("QtQuick.Scene2D", qml_register_types_QtQuick_Scene2D);
